---
title: "Returns information about a single brand by ID or slug."
url: "https://developer.migros.ch/apis/brands-8/versions/ceb1fa7b-4cb2-42e5-903c-4b0a18865ceb/operations/getBrand"
---

> Full API specification: https://developer.migros.ch/apis/brands-8/versions/ceb1fa7b-4cb2-42e5-903c-4b0a18865ceb.md

# Returns information about a single brand by ID or slug.

`GET` `/migros/products/v8/brands/{id}`

Operation ID: `getBrand`

Returns information about a single brand by ID or slug.

## Path parameters

- `id` (string, required) - Resource ID or slug (if available).

## Query parameters

- `lang` (string, optional) - The language to be used. Possible values: `de`, `fr`, `it`, `en`. The language may also be set via HTTP header, e.g. `Accept-Language: de` header.

## Responses

- `200` - Returned when successful.
- `404` - Returned when the requested resource could not be not found.

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: Brands
  version: "8"
servers:
  - description: Public Kong Gateway URL
    url: https://api.migros.ch
paths:
  /migros/products/v8/brands/{id}:
    get:
      description: Returns information about a single brand by ID or slug.
      operationId: getBrand
      parameters:
        - description: Resource ID or slug (if available).
          in: path
          name: id
          required: true
          schema:
            type: string
        - description: "The language to be used. Possible values: `de`, `fr`, `it`, `en`.
            The language may also be set via HTTP header, e.g. `Accept-Language:
            de` header."
          in: query
          name: lang
          required: false
          schema:
            default: de
            type: string
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Brand"
          description: Returned when successful.
        "404":
          $ref: "#/components/responses/404"
      summary: Returns information about a single brand by ID or slug.
      tags:
        - Brands
security:
  - Kong-Api-Key: []
  - basicAuth: []
components:
  schemas:
    Brand:
      description: Represents the Brand information.
      properties:
        class_id:
          description: Brand class code.
          nullable: true
          type: string
        class_type:
          description: Brand class type.
          nullable: true
          type: string
        description:
          description: The long description of the brand (can contain HTML).
          nullable: true
          type: string
        id:
          type: string
        image:
          nullable: true
          oneOf:
            - $ref: "#/components/schemas/Image"
        links:
          additionalProperties:
            $ref: "#/components/schemas/Link"
          description: Collection of links indexed by string identifier.
          type: object
        name:
          nullable: true
          type: string
        parent_brand:
          nullable: true
          oneOf:
            - $ref: "#/components/schemas/PartialBrand"
        position_for_product_title:
          description: Indicates placement of the short name brand in product title
          nullable: true
          type: string
        short_name_for_product_title:
          description: Shorter variant of the brand for product title
          nullable: true
          type: string
        slug:
          description: Unique user-friendly ID.
          type: string
        sub_brand:
          nullable: true
          oneOf:
            - $ref: "#/components/schemas/PartialBrand"
      required:
        - id
        - name
        - slug
      type: object
    Image:
      description: An image and its properties.
      properties:
        original:
          description: Full size image.
          type: string
        stack:
          description: Image URL with a placeholder for a Rokka {stack}.
          type: string
      type: object
    Link:
      properties:
        url:
          description: URL to a third-party desktop page of the product.
          type: string
      type: object
    PartialBrand:
      description: Represents the sub brand and parent brand information.
      properties:
        code:
          type: string
        name:
          nullable: true
          type: string
      type: object
  responses:
    "404":
      description: Returned when the requested resource could not be not found.
  securitySchemes:
    Kong-Api-Key:
      description: Kong key-auth authentication
      in: header
      name: X-Api-Key
      type: apiKey
    basicAuth:
      scheme: basic
      type: http
```
